Request human attention
curl --request POST \
--url https://atollhq.com/api/orgs/{id}/attention \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expected_state_version": 2,
"title": "<string>",
"request_summary": "<string>",
"why_needed": "<string>",
"resume_condition": "<string>",
"idempotency_key": "<string>",
"target_type": "member",
"target_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_team_id": null
}
'import requests
url = "https://atollhq.com/api/orgs/{id}/attention"
payload = {
"execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expected_state_version": 2,
"title": "<string>",
"request_summary": "<string>",
"why_needed": "<string>",
"resume_condition": "<string>",
"idempotency_key": "<string>",
"target_type": "member",
"target_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_team_id": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
execution_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
expected_state_version: 2,
title: '<string>',
request_summary: '<string>',
why_needed: '<string>',
resume_condition: '<string>',
idempotency_key: '<string>',
target_type: 'member',
target_member_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
target_team_id: null
})
};
fetch('https://atollhq.com/api/orgs/{id}/attention', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"attention": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "open",
"kind": "approval",
"title": "<string>",
"request_summary": "<string>",
"why_needed": "<string>",
"resume_condition": "<string>",
"target": {
"type": "member",
"member": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_name": "<string>",
"type": "human",
"deleted": true
},
"team": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"deleted": true
},
"snapshot_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"snapshot_member_display_name": "<string>",
"snapshot_team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"snapshot_team_name": "<string>"
},
"requester": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_name": "<string>",
"type": "human",
"deleted": true
},
"requested_at": "2023-11-07T05:31:56Z",
"closed_at": "2023-11-07T05:31:56Z",
"resolution_outcome": "approved",
"resolution_summary": "<string>",
"closed_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_name": "<string>",
"type": "human",
"deleted": true
},
"attention_version": 2,
"execution": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "assigned",
"state_version": 2
},
"issue": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"identifier": "<string>"
},
"project": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>"
},
"execution_state_version_at_request": 2,
"execution_state_version_at_close": 2
},
"execution": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"issue_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "assigned",
"state_version": 2,
"agent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_name": "<string>",
"type": "human",
"deleted": true
},
"last_actor": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_name": "<string>",
"type": "human",
"deleted": true
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"current_project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id_at_creation": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}Human attention
Request human attention
POST
/
api
/
orgs
/
{id}
/
attention
Request human attention
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
- Option 1
- Option 2
- Option 3
Required range:
x >= 1Available options:
approval, clarification, access, decision, destructive_action, other Required string length:
1 - 2000Required string length:
1 - 4000Required string length:
1 - 4000Required string length:
1 - 4000Required string length:
1 - 128
